import bpy
from math import pi

def extra(imageScene, imagePlane, targetEmpty, camera, extraAmount, extraText, extraTexture):
    bpy.context.screen.scene = imageScene

    #width = 0.667
    #scale = 1.16
    width = 1.33
    scale = 1.07
    position = 0.2 + (extraAmount / 2.5)
    bpy.ops.mesh.primitive_circle_add(vertices=4, radius=0.46, location=(0, 0, position), rotation=(0, 0, pi/4), enter_editmode=True)
    bpy.ops.transform.resize(value=(width, 1, 1))
    bpy.ops.mesh.extrude_region()
    bpy.ops.transform.resize(value=(scale, 1.1, 1.1))
    bpy.ops.mesh.flip_normals()
    bpy.ops.object.mode_set(mode='OBJECT')
    frame = bpy.context.scene.objects.active
    frame.parent = imagePlane

    bpy.ops.mesh.primitive_circle_add(vertices=4, radius=0.48, location=(0, 0, (position - 0.01)), rotation=(0, 0, pi/4), enter_editmode=True)
    bpy.ops.transform.resize(value=(width, 1, 1))
    bpy.ops.mesh.extrude_region()
    bpy.ops.transform.resize(value=(4, 4, 4))
    bpy.ops.mesh.flip_normals()
    bpy.ops.object.mode_set(mode='OBJECT')
    border = bpy.context.scene.objects.active
    border.parent = imagePlane

    bpy.ops.object.lamp_add(type='POINT', location=(0, 0, 1))
    lamp = bpy.context.scene.objects.active
    lamp.parent = imagePlane

    frameMaterial = bpy.data.materials.new('Frame')
    frame.data.materials.append(frameMaterial)
    frameMaterial.diffuse_intensity = 1

    borderMaterial = bpy.data.materials.new('Border')
    border.data.materials.append(borderMaterial)
    borderMaterial.diffuse_color = (0, 0, 0)
    borderMaterial.use_shadeless = True
