import bpy

def extra(imageScene, imagePlane, targetEmpty, camera, extraAmount, extraText, extraTexture):
    bpy.context.screen.scene = imageScene

    name = 'Video Background'
    location = (0, 0, -2.93)
    dimensions = (2.698, 1.518, 0)
    textureType = 'IMAGE'

    bpy.ops.mesh.primitive_plane_add()
    object = bpy.context.scene.objects.active
    object.name = name
    bpy.ops.object.mode_set(mode='EDIT')
    bpy.ops.uv.unwrap()
    bpy.ops.object.mode_set(mode='OBJECT')
    object.dimensions = dimensions
    bpy.ops.object.transform_apply(scale=True)
    object.location = location
    material = bpy.data.materials.new(name)
    object.data.materials.append(material)
    texture = bpy.data.textures.new(name+' Texture', type=textureType)
    textureSlot = material.texture_slots.add()
    textureSlot.texture = texture

    textureSlot.texture_coords = 'UV'
    texture.image_user.use_auto_refresh = True
    material.use_shadeless = True
    material.diffuse_color = (0, 0, 0)
    if (extraTexture != None):
        texture.image = extraTexture
        texture.image.update()
        texture.image_user.frame_duration = texture.image.frame_duration
        texture.image_user.frame_offset = 0
    textureSlot.diffuse_color_factor = extraAmount
    object.parent = camera